Update a text property for a product
Update a text property for a product
Required permissions: PRODUCT
put/tenants/{tenantUid}/products/{productUid}/text-properties/{propertyUid}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
productUidstringRequiredPattern:
Reference to a Product.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+propertyUidstringRequiredPattern:
Reference to a product property definition
^[A-Za-z0-9-_]+Body
Update a new text option to a product
propertyTextstringRequired
Responses
200
Example response
application/json
productPropertyUidstringRequiredPattern:
^[A-Za-z0-9-_]+propertyNamestringRequired
propertyOptionNamestringRequired
propertyTypestring · enumRequired
Possible values:
Describes the type of property a product can have.
| ENUM | Description |
|---|---|
| TEXT | A single text line such as an URL to a product manual or a reminder to the cashier/salesperson. |
| SINGLESELECT | A list of values where a product can only have one at any given time. |
| MULTISELECT | A list of values where a product can have none or several at any given time. |
propertyTextstringOptional
Only in use with TEXT properties.
propertyUidstringRequiredPattern:
^[A-Za-z0-9-_]+propertyOptionUidstringRequiredPattern:
^[A-Za-z0-9-_]+requiredbooleanRequired
put/tenants/{tenantUid}/products/{productUid}/text-properties/{propertyUid}
PUT /v2/tenants/{tenantUid}/products/{productUid}/text-properties/{propertyUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 23
{
"propertyText": "text"
}200
Example response
{
"productPropertyUid": "text",
"propertyName": "text",
"propertyOptionName": "text",
"propertyType": "TEXT",
"propertyText": "text",
"propertyUid": "text",
"propertyOptionUid": "text",
"required": true
}Last updated
Was this helpful?

